package domain


type AlibabaRetailMarketingItempoolActivityUpdateExchangeRuleDto struct {
    /*
        每组最大购买数量, 单次下单可换购的不同sku商品数。换购分组该字段为必填     */
    MaxBuyNum  *int64 `json:"max_buy_num,omitempty" `

    /*
        换购分组顺序 defalutValue:1    */
    OrderNum  *int64 `json:"order_num,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivityUpdateExchangeRuleDto) SetMaxBuyNum(v int64) *AlibabaRetailMarketingItempoolActivityUpdateExchangeRuleDto {
    s.MaxBuyNum = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityUpdateExchangeRuleDto) SetOrderNum(v int64) *AlibabaRetailMarketingItempoolActivityUpdateExchangeRuleDto {
    s.OrderNum = &v
    return s
}
